import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Beggar here.
 * 
 * @David Zhang
 * @Jan 21st, 2013
 */
public class Beggar extends Actor
{
    //Intialize the instance variables
    private GreenfootImage[] beggar = new GreenfootImage[11];
    private int frames = 0;

    /**
     * This is the constructor for the beggar class
     */
    public Beggar()
    {
        //This is a for loop so that I can declare all the images of the beggar without listing all of them one by one.
        for(int x = 0; x <= 10; x++)
        {
            beggar[x] = new GreenfootImage("Beggar"+ x +".png");
        }
    }

    /**
     * Act - do whatever the Beggar wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        animate();
    }    

    private void animate()
    {
        //Import the background and call it main and use the method gameRunning, and when it is true, run the following code after it.
        Background main = (Background)getWorld();
        if(main.gameRunning())
        {
            //Every 10 frames, change the icon of the beggar 
            if (frames == 1)
            {
                setImage(beggar[0]);
            }
            else if(frames == 11)
            {
                setImage(beggar[1]);
            }
            else if(frames == 22)
            {
                setImage(beggar[2]);
            }
            else if(frames == 33)
            {
                setImage(beggar[3]);
            }
            else if(frames == 44)
            {
                setImage(beggar[4]);
            }
            else if(frames == 55)
            {
                setImage(beggar[5]);
            }
            else if(frames == 66)
            {
                setImage(beggar[6]);
            }
            else if(frames == 77)
            {
                setImage(beggar[7]);
            }
            else if(frames == 88)
            {
                setImage(beggar[8]);
            }
            else if(frames == 99)
            {
                setImage(beggar[9]);
                //New fish called fish
                Fish fish = new Fish();
                //New Chicken called chicken
                Chicken chicken = new Chicken();
                //If a randomNumber between 1 and 100 is smaller than 25, add a chicken 35 pixels to the left and 2 pixels up from the beggar's position
                if(Greenfoot.getRandomNumber(100)<=25)
                {
                    getWorld().addObject(chicken, getX() - 35, getY() + 2);
                }
                //otherwise add the chicken to the same pixels/location
                else
                {
                    getWorld().addObject(fish, getX() - 35, getY() + 2);
                }
            }
            else if(frames == 110)
            {
                setImage(beggar[10]);
            }
            //at the end, 121 frames, remove the object
            else if (frames ==121)
            {
                removeMe();
            }
            //Increase the counter frames every act method
            frames++;
        }
    }

    /**
     * This method removes this object when called
     */
    private void removeMe()
    {
        getWorld().removeObject(this);
    }
}
