import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * This is the power up that the beggar drops and it gives the man object a life.
 * 
 * @David Zhang
 * @Jan 20th 2013
 */
public class Chicken extends Beggar
{
    //This is where I declare all my intance variables that I am going to use in this class
    private GreenfootImage[] chicken = new GreenfootImage[11];
    private int frames = 0;
    private int timeCount = 102;
    /**
     * This is where I declare what all the chicken class must have when they spawn, I used a for loop to declare all the images so it would be more effienct 
     * than the ones where I declared all the pictures one by one in the man class. I know, I should have done that, but I'm too lazy to change that.
     */
    public Chicken()
    {
        //Intialize the integer x, and as long as x is smaller than, 10, this code runs, and what it does is that it inputs pictures into the greenfootImage
        // array which contains all the images to animate the chicken.
        for(int x = 0; x <= 10; x++)
        {
            chicken[x] = new GreenfootImage("Chicken"+ x +".png");
        }
    }

    /**
     * Act - do whatever the chicken wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        animate();
        timer();
    }    
    
    /**
     * This is a method which counts down the time the class has in the world until it removes itself, it has 153 acts until it removes itself.
     */
    private void timer()
    {
        //This subtracts itself by one everytime this method is called.
        timeCount--;
        //And when the counter comes to a zero, it runs the method removeMe() which removes the object from this world.
        if (timeCount ==0)
        {
            removeMe();
        }
    }

    /**
     * This method is
     */
    public void removeMe()
    {
        getWorld().removeObject(this);
    }

    private void animate()
    {
        if (frames == 1)
        {
            setImage(chicken[0]);
        }
        else if(frames == 11)
        {
            setImage(chicken[1]);
        }
        else if(frames == 21)
        {
            setImage(chicken[2]);
        }
        else if(frames == 31)
        {
            setImage(chicken[3]);
        }
        else if(frames == 41)
        {
            setImage(chicken[4]);
        }
        else if(frames == 51)
        {
            setImage(chicken[5]);
        }
         if (frames == 61)
        {
            setImage(chicken[6]);
        }
         if (frames == 71)
        {
            setImage(chicken[7]);
        }
         if (frames == 81)
        {
            setImage(chicken[8]);
        }
         if (frames == 91)
        {
            setImage(chicken[9]);
        }
         if (frames == 101)
        {
            setImage(chicken[10]);
            frames = 0;
        }
        frames++;
    }
}
