import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * This is the enemy class, called PaleMartian, this is the place where all the firing from the enemies happen
 * 
 * @David Zhang
 * @Jan 2th, 2013
 */
public class PaleMartian extends Actor
{
    protected int speedBoost = 4;
    //This is where I declare all the instance variables of this class
    private int shotDelay = 1;
    private int delay = 30;
    private GreenfootImage NormalMartian1;
    private int timeCounter = 0;
    private GreenfootImage MartianShoot;
    private boolean fire = false;
    private int counter= 1;

    private int timeCounter2 = 0;
    private int scale  = 150;

    /**
     * this is the constructor for the class
     */
    public PaleMartian()
    {
        NormalMartian1 = new GreenfootImage("NormalMartian.PNG");
        MartianShoot = new GreenfootImage("PaleMars1.png");
    }

    /**
     * Act - do whatever the PaleMartian wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        Background main = (Background)getWorld();
        if(main.gameRunning())
        {
            faster2();
            fire();
            changeIcon();
            faster();

        }
    }    

    private void faster()
    {   
        if (timeCounter == 50)
        {
            delay-= 2;
            timeCounter = 0;
        }
        timeCounter++;
    }

    private void faster2()
    {
        if (timeCounter2 == scale)
        {
            speedBoost+=1;
            timeCounter2 = 0;
            scale = scale*2;
        }
        timeCounter2++;
    }

    private void fire()
    {
        if(Greenfoot.getRandomNumber(100)==5 && shotDelay<5)
        {
            MartianBullet missile = new MartianBullet(speedBoost);
            getWorld().addObject(missile, getX() - 35, getY() + 2);
            shotDelay+= delay;
            fire = true;
        }
        if(shotDelay > 0)
        {
            shotDelay--;
        }
    }

    private void changeIcon()
    {
        if(fire)
        {
            setImage(MartianShoot);
            counter++;
        }
        else if(fire == false)
        {
            setImage(NormalMartian1);
        }
        if (counter == 20)
        {
            fire = false;
            counter = 1;
        }

    }
}
