import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;

/**
 * Credit to Mr. Cohen most of the code in this class
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class ProHealth extends HealthBar
{
    private GreenfootImage bar;    
    private Color backColor = Color.RED;
    private Color hpColor = Color.GREEN;
    private int maxHP;
    private int barWidth = 96;

    public ProHealth (int maxHP)
    {
        this.maxHP = maxHP;
        bar = new GreenfootImage (100, 20);
        bar.setColor (backColor);
        bar.fill();
        bar.setColor (hpColor);
        bar.fillRect(2,2,barWidth,16);
        this.setImage (bar);
    }
    
    public void changeHP (int currentHP)
    {
        bar.clear();
        bar.setColor (backColor);
        bar.fill();
        bar.setColor (hpColor);
        
        // use precise division to find percentage of health, then
        // multiply that by the size of the bar, and finally cast it
        // back into an integer for how many pixels wide the green
        // part of the HP bar should be:
        int hpSize = (int)(((double)currentHP / (double)maxHP) * 96);
        bar.fillRect (2,2, hpSize, 16);
        
        if(currentHP < 1)
        {
            Background w = (Background) getWorld();
            w.subtractLife();
            
        }
    }

    
}
