import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
import java.awt.Font;

public class ScoreKeeper extends Actor
{
    private GreenfootImage scoreBoard;
    private Color backgroundColor = new Color (0, 0, 176);
    private Color textColor = new Color (176,0,0);
    private Font textFont = new Font ("Arial", Font.BOLD, 28);
    
    public ScoreKeeper()
    {
        scoreBoard = new GreenfootImage(300, 40);
        scoreBoard.setFont (textFont);
        scoreBoard.setColor (backgroundColor);
        scoreBoard.fill();
        this.setImage(scoreBoard);
    }

    public void setScore (int score)
    {
        String s = "Score: " + score;
        // erase everything in score and start again
        scoreBoard.clear();
        scoreBoard.setColor (backgroundColor);
        scoreBoard.fill();
        scoreBoard.setColor (textColor);
        scoreBoard.drawString (s, 5, 32);
    }
}
